import axios from "../../../config/axios";
import { CreatePlanType } from "../types/SupportTypes";

export const createPlan = async (plan: CreatePlanType) => {
  const { data } = await axios.post("/support-plans", plan);
  return data;
};

export const updatePlan = async (id: string, plan: CreatePlanType) => {
  const { data } = await axios.patch(`/support-plans/${id}`, plan);
  return data;
};

export const getPlans = async () => {
  const { data } = await axios.get("/support-plans/list");
  return data;
};

export const getPlanById = async (id: string) => {
  const { data } = await axios.get(`/support-plans/${id}`);
  return data;
};

export const deletePlan = async (id: string) => {
  const { data } = await axios.delete(`/support-plans/${id}`);
  return data;
};

export const getPlanUsers = async (id?: string) => {
  const { data } = await axios.get(`/support-plans/${id}/users`);
  return data;
};
